# Wisp - Warframe Survivor Mod

The floating riftwalker, Wisp, has floated through one too many dimensions, Now she has appeared in your selection of playable characters in Risk Of Rain 2.

Network compatible.

Standalone Ancient Scepter compatible. (Double range and damage on Breach Surge Ability)

If there are any issues **technical issues** (bugs, moves not working as intended, achievements etc.), please message me on discord @Ethanol10#6656.

For any **balance changes** specifically, please contact @SeizaKokoro#1067 on discord.


## Screenshots
<img src="https://cdn.discordapp.com/attachments/399901440023330816/959349491851493387/unknown.png"/>

<img src="https://cdn.discordapp.com/attachments/399901440023330816/959116894038810645/unknown.png"/>


## Abilities
### Passive:
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959362291239882752/texWispIconNoOutline.png"/>

Wisp is immune to fall damage, but will be stunned for 1 second when the fall damage would've taken 33% or more of your health.

Wisp also spawns with her signature equipment, 「 Sol Gate 」, which maybe swapped for any other equipment.


### Primary: Fulmin
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959335430304698378/texPrimaryIcon.png"/>

Fire a gun. Switch between fully automatic and semi automatic firing modes using the [Mouse Wheel] or [DPad Down].

#### **[ Fulmin: Semi ]** 

Fire 5 bullets in a tight spread for 200% each bullet.
Consumes 10 stocks per shot.

#### **[ Fulmin: Auto ]** 

Fire an automatic weapon for 65% damage.
Consumes 1 stock per shot.


### Secondary: Reservoirs
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959335737956913213/texSecondaryIcon.png"/>

Choose and summon a 「　Vitality / Haste　」 Reservior filled with motes that attach to and aid Wisp and her allies. You may only place 6 reservoirs of any type per stage. **Tap** to switch between types, and **Hold** to place a mote down.

#### **[ Reservoirs: Vitality ]**

Place down a mote that increases maximum health by 300 health, while also granting an extra 30hp/s regen. The buff lasts for 30 seconds.

#### **[ Reservoirs: Haste ]**

Place down a mote that boosts attack speed by 1.75x, while also granting a 1.4x increase in movement speed. The buff lasts for 30 seconds.


### Utility: Will-O-Wisp
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959335954454306816/texUtilityIcon.png"/>

Cast forward a Spectral Image of Wisp and promptly turn invisible for a short time. Reactivate to travel to its location.


### Special: Breach Surge
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959336056312954931/texSpecialIcon.png"/>

Stunning. Open a dimensional breach to overwhelm nearby enemies. Enemies in range are debuffed and receive 2x damage from all sources for 8 seconds.


### Equipment: Sol Gate
<img width="200" src="https://cdn.discordapp.com/attachments/399901440023330816/959336168095375380/TexEquipmentIcon.png"/>

Open a portal to the sun to irradiate enemies with a devastating beam of pure solar plasma. Deal 100% damage per tick for 10 seconds. Has a 40% chance per tick to set fire to enemies. Cancelled when any move is performed.

## Support me on Ko-fi! 
There's no need to pay for mods, but a coffee would be nice once in awhile!

<a href="https://ko-fi.com/ethanol10" target="_blank">
  <img width="400" src="https://cdn.discordapp.com/attachments/928130606662049892/952521134526590996/unknown.png"/>
</a>

## Version History:
<details>
<summary>Click to expand:</summary>

- v1.0.3 -> Attempted fixes to the following:
  - Void achievement changed from "Kill Voidling" to "Escape the Planetarium."
  - Fixed Wisp taking fall damage when fall damage would be lethal (e.g Artifact of Frailty).
  - Sol Gate beam effect should move smoother.
- v1.0.2 -> Attempted fixes to the following: 
  - Attempting to fix NRE on Will-O-Wisp destroy with more Null checks. Should stop wisp from getting stuck and blasting noise into your headphones
  - Fixed luck affecting Sol Gate fire procs. Should actually proc MORE with more luck.
  - Fixed Attack Speeds less than 1 affecting auto-reload mechanic.
- v1.0.1 -> Attempted fixes to the following:
  - Nova Achievement was breaking health required shrines (Void cradle/Blood Shrine). Added more null checks to avoid this issue. Please contact me (Ethanol 10) if you encounter this issue.
  - Tags above abilities were messing up in multiplayer. An authority check was applied, which should mitigate how many times it's printed.
  - Straightened Sol Gate laser and pushed it up a bit to match the center of the screen. Also reduced what it should bounce off.
  - Lowered Volume across the board. Should be 2db at max volume.
- v1.0.0 -> Initial release

</details>


## Future Plans

<!> Add Helminth abilities: Warcry (Valkyr), Roar (Rhino), Pull (Mag), Gloom (Sevagoth).

<!> Add Alternate primary weapons: Venka Prime, Nukor.

<!> Add alternate skins. (Must get approval from tennogen artists first)

<!> Add Wisp Prime skin. (When it eventually comes out)

<!> Make Sol Gate equipment as an Item display.

## Known Issues

<!> When using Will-O-Wisp, the Will-o-wisp minion model can face the wrong way in multiplayer.

<!> Will-O-Wisp uses default skin all the time.

<!> Fulmin model is wack in terms of placement on the model.

<!> Ragdoll is also wack.

<!> There are some instances where D-Pad down does not change the firing mode.

## Credits

- SeizaKokoro#1067 - The mod was their brainchild - Commissioned this mod to be made. 
- Rob's Henry mod - Used as an early placeholder character model while waiting for art to be completed. 
- Esugi#9867 - 3D modeller for Wisp, Fulmin, And Motes.
- Mirella#6691 - Animations
- Kenato123 On Reddit - For letting us use the Wisp artwork they made for the character select menu.
- PePe#1129 - 3D Model for Sol Gate Equipment and associated effects.
- The coding team: Popcorn Factory ->
    - Ethanol10#6656 - Main Programmer, I stuck my hands into all areas and I no longer have hands.
    - TeaL#5571 - Programmer -> Breach Surge, Mote functionality
    - BokChoyWithSoy#3842 - Programmer -> Will-O-Wisp skill state functionality, Achivements
- The Core devs on the modding discord, for answering my questions on mod dev, really helped me out! (Networking was a bitch, but I made it my bitch)

## Popcorn Factory
<b>Check out other mods from the Popcorn Factory team!</b>
<div>
    <a href="https://thunderstore.io/package/Ethanol10/Ganondorf_Mod/">
        <img src="https://cdn.discordapp.com/attachments/399901440023330816/960043613428011079/Ethanol10-Ganondorf_Mod-2.1.5.png.128x128_q95.png"><br>
        <p>Ganondorf Mod (Ethanol 10)</p>
    </a>
</div>
<div>
    <a href="https://thunderstore.io/package/TeaL/DekuMod/">
        <img src="https://cdn.discordapp.com/attachments/399901440023330816/960043614036168784/TeaL-DekuMod-3.1.1.png.128x128_q95.png"><br>
        <p>Deku Mod (TeaL)</p>
    </a>
</div>
<div>
    <a href="https://thunderstore.io/package/BokChoyWithSoy/Phoenix_Wright_Mod/">
        <img src="https://cdn.discordapp.com/attachments/399901440023330816/960054458790850570/BokChoyWithSoy-Phoenix_Wright_Mod-1.6.2.png.128x128_q95.png"><br>
        <p>Phoenix Wright Mod (BokChoyWithSoy)</p>
    </a>
</div>